Bug 1697063 - Electrum can't be installed in Fedora 30
Summary: Electrum can't be installed in Fedora 30
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: electrum
Version: 30
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jonny Heggheim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-aiohttp-socks
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-07 09:11 UTC by Artem S. Tashkinov
Modified: 2019-04-21 09:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-21 09:19:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Artem S. Tashkinov 2019-04-07 09:11:41 UTC
# dnf install electrum
Error: 
 Problem: conflicting requests
  - nothing provides python3.7dist(aiohttp-socks) needed by electrum-3.3.2-3.fc30.noarch
  - nothing provides python3.7dist(qdarkstyle) < 2.6 needed by electrum-3.3.2-3.fc30.noarch
(try to add '--skip-broken' to skip uninstallable packages)

Comment 1 Artem S. Tashkinov 2019-04-07 09:22:34 UTC
Oh and distro upgrade fails as well.

Comment 2 Jonny Heggheim 2019-04-07 09:55:03 UTC
Thanks for reporting, I did not think about that Fedora 30 shipped 3.3.2.

Comment 3 Jonny Heggheim 2019-04-07 09:58:58 UTC
An updated Electrum 3.3.4 is in the pipeline, but I wait for bug 1695746 or bug 1662572 to be resolved.

Comment 4 Jonny Heggheim 2019-04-07 10:00:38 UTC
Do you want to maintain python-aiohttp-socks Igor Gnatenko?

Comment 5 Artem S. Tashkinov 2019-04-07 12:16:15 UTC
(In reply to Jonny Heggheim from comment #2)

What about "python3.7dist(qdarkstyle) < 2.6"? I don't see any bug reports in regard to this dependency.

Comment 6 Jonny Heggheim 2019-04-07 12:53:28 UTC
(In reply to Artem S. Tashkinov from comment #5)
> What about "python3.7dist(qdarkstyle) < 2.6"? I don't see any bug reports in
> regard to this dependency.

It is an optional dependency. It have been very low on my priority list, so that I have disabled it in 3.3.4 for now.

Comment 7 Jonny Heggheim 2019-04-08 13:18:28 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-2019-828c62bba5

Waiting for dependencies to hit stable. Works on Fedora with dependencies built locally.


Note You need to log in before you can comment on or make changes to this bug.